> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vistaly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Auth info endpoint

> Returns the information related to the api key.



## OpenAPI

````yaml https://api.vistaly.com/v1/swagger.json get /v1/auth/info
openapi: 3.1.0
info:
  contact:
    email: support@vistaly.com
    name: Vistaly Support Team
  description: >-
    Vistaly's public API for interacting with our platform, enabling developers
    to integrate with various features such as feedback, cards, and system
    health.
  termsOfService: https://vistaly.com/terms-of-service
  title: Vistaly API
  version: '2025-06-21'
servers:
  - description: Production server
    url: https://api.vistaly.com
security: []
tags:
  - description: System-related endpoints to interact with the overall service.
    name: system
  - description: >-
      Endpoints related to card management, including the creation and
      modification of card metrics and related data.
    externalDocs:
      description: Learn more about Cards
      url: https://docs.vistaly.com/en/card-types/overview
    name: cards
  - description: >-
      Endpoints for handling insights data, such as user feedback and interview
      records.
    externalDocs:
      description: Learn more about Insights
      url: https://docs.vistaly.com/en/insights/overview
    name: insights
paths:
  /v1/auth/info:
    get:
      tags:
        - system
      summary: Auth info endpoint
      description: Returns the information related to the api key.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthInfoResponse'
          description: API key is valid
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                message: Forbidden
              schema:
                $ref: '#/components/schemas/MessageResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    AuthInfoResponse:
      additionalProperties: false
      properties:
        organizationId:
          example: iLQGOSQFOEIpkYoDgUfQO
          type: string
        organizationName:
          example: Vistaly
          type: string
      type: object
    MessageResponse:
      additionalProperties: false
      properties:
        message:
          example: System provided message
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````